Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class PurchaseReservedInstancesOfferingRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.PurchaseReservedInstancesOfferingRequest

    public class PurchaseReservedInstancesOfferingRequest

extends AmazonWebServiceRequest

Container for the parameters to the `PurchaseReservedInstancesOffering operation`.

The PurchaseReservedInstancesOffering operation purchases a Reserved Instance for use with your account. With Amazon EC2 Reserved Instances, you purchase the right to launch Amazon EC2 instances for a period of time (without getting insufficient capacity errors) and pay a lower usage rate for the actual time used.

See Also:
  `AmazonEC2.purchaseReservedInstancesOffering(PurchaseReservedInstancesOfferingRequest)`

Constructor Summary
`PurchaseReservedInstancesOfferingRequest()`

Method Summary
`Integer` | `getInstanceCount()` The number of Reserved Instances to purchase.
`String` | `getReservedInstancesOfferingId()` The unique ID of the Reserved Instances offering being purchased.
`void` | `setInstanceCount(Integer instanceCount)` The number of Reserved Instances to purchase.
`void` | `setReservedInstancesOfferingId(String reservedInstancesOfferingId)` The unique ID of the Reserved Instances offering being purchased.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`PurchaseReservedInstancesOfferingRequest` | `withInstanceCount(Integer instanceCount)` The number of Reserved Instances to purchase.
`PurchaseReservedInstancesOfferingRequest` | `withReservedInstancesOfferingId(String reservedInstancesOfferingId)` The unique ID of the Reserved Instances offering being purchased.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PurchaseReservedInstancesOfferingRequest

    public PurchaseReservedInstancesOfferingRequest()

Method Detail

### getReservedInstancesOfferingId

    public String getReservedInstancesOfferingId()

  The unique ID of the Reserved Instances offering being purchased.

  Returns:
    The unique ID of the Reserved Instances offering being purchased.

### setReservedInstancesOfferingId

    public void setReservedInstancesOfferingId(String reservedInstancesOfferingId)

  The unique ID of the Reserved Instances offering being purchased.

  Parameters:
    `reservedInstancesOfferingId` - The unique ID of the Reserved Instances offering being purchased.

### withReservedInstancesOfferingId

    public PurchaseReservedInstancesOfferingRequest withReservedInstancesOfferingId(String reservedInstancesOfferingId)

  The unique ID of the Reserved Instances offering being purchased.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstancesOfferingId` - The unique ID of the Reserved Instances offering being purchased.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceCount

    public Integer getInstanceCount()

  The number of Reserved Instances to purchase.

  Returns:
    The number of Reserved Instances to purchase.

### setInstanceCount

    public void setInstanceCount(Integer instanceCount)

  The number of Reserved Instances to purchase.

  Parameters:
    `instanceCount` - The number of Reserved Instances to purchase.

### withInstanceCount

    public PurchaseReservedInstancesOfferingRequest withInstanceCount(Integer instanceCount)

  The number of Reserved Instances to purchase.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceCount` - The number of Reserved Instances to purchase.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.